Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder Class Reference

Build a date range facet. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder:

## Public Member Functions
| addUnboundedFrom ($to)
| Adds a range entry with explicit to and unbounded from. More...
| addRange ($from, $to)
| Adds a date range. More...
| addUnboundedTo ($from)
| Adds a range entry with explicit from and unbounded to. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Public Attributes
const | PUBLISHED = 0
const | CREATED = 1
const | MODIFIED = 2
| $type = self::PUBLISHED
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder
| $name
| $global = false
| $filter = null
| $limit = 10
| $minCount = 1

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Build a date range facet.

If provided the search service returns a DateRangeFacet depending on the provided type (PUBLISHED, CREATED, MODIFIED)

Definition at line 17 of file DateRangeFacetBuilder.php.

## Member Function Documentation

## ◆ addRange()

eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder::addRange | ( |  | $from,
|  |  | $to
| ) |  |
| abstract

Adds a date range.

Parameters

  \DateTime | $from |
  \DateTime | $to |

## ◆ addUnboundedFrom()

eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder::addUnboundedFrom | ( |  | $to | ) |
| abstract

Adds a range entry with explicit to and unbounded from.

Parameters

  \DateTime | $to |

## ◆ addUnboundedTo()

eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder::addUnboundedTo | ( |  | $from | ) |
| abstract

Adds a range entry with explicit from and unbounded to.

Parameters

  \DateTime | $from |

## Member Data Documentation

## ◆ $type

eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder::$type = self::PUBLISHED

Definition at line 23 of file DateRangeFacetBuilder.php.

## ◆ CREATED

const eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder::CREATED = 1

Definition at line 20 of file DateRangeFacetBuilder.php.

## ◆ MODIFIED

const eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder::MODIFIED = 2

Definition at line 21 of file DateRangeFacetBuilder.php.

## ◆ PUBLISHED

const eZ\Publish\API\Repository\Values\Content\Query\FacetBuilder\DateRangeFacetBuilder::PUBLISHED = 0

Definition at line 19 of file DateRangeFacetBuilder.php.

The documentation for this class was generated from the following file:

- DateRangeFacetBuilder.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.